﻿using System;
using System.IO;
using System.Windows.Forms;
using Aspose.Words;
using Aspose.Words.Saving;

namespace Word2Image
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrWhiteSpace(txtWordFile.Text))
            {
                MessageBox.Show("对不起，请先选择一个Word文件");
                return;
            }
            if (string.IsNullOrWhiteSpace(txtOutputPath.Text))
            {
                MessageBox.Show("对不起，请先选择一个输出路径");
                return;
            }
            btnConvert.Enabled = false;
            Word2ImageProc();
            btnConvert.Enabled = true;
        }

        private void Word2ImageProc()
        {

            Aspose.Words.Document doc = new Document(txtWordFile.Text);
            ImageSaveOptions iso = new ImageSaveOptions(SaveFormat.Jpeg)
            {
                Resolution = 128,
                PrettyFormat = true,
                UseAntiAliasing = true
            };
            int pageCount = doc.PageCount;
            prgProcessPages.Maximum = pageCount;
            for (int i = 0; i < doc.PageCount; i++)
            {
                prgProcessPages.Value = i + 1;
                lblPages.Text = (i + 1) + "/" + pageCount;
                prgProcessPages.Text = (i + 1) + "/" + pageCount;

                iso.PageIndex = i;
                doc.Save(Path.Combine(txtOutputPath.Text, "img" + (i + 1) + ".jpg"), iso);

            }


        }

        private void button2_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Word文档|*.doc;*.docx";
            if (openFileDialog.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                if (!string.IsNullOrWhiteSpace(openFileDialog.FileName))
                {
                    txtWordFile.Text = openFileDialog.FileName;
                }
            }

        }


        private void btnOutputPath_Click(object sender, EventArgs e)
        {
            System.Windows.Forms.FolderBrowserDialog dialog = new System.Windows.Forms.FolderBrowserDialog();
            dialog.Description = "请选择图片输出到的文件夹";
            if (dialog.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                if (string.IsNullOrEmpty(dialog.SelectedPath))
                {
                    MessageBox.Show(this, "文件夹路径不能为空", "提示");
                    return;
                }

                txtOutputPath.Text = dialog.SelectedPath;
            }
        }
    }
}
